Loading...
Searching...
No Matches
phi

## Detailed Description

Examples
  burgers_dg.cc, burgers_diffusion_operators.icc, convect.cc, convect_error.cc, d_projection_dx.h, helmholtz_band.cc, helmholtz_band_iterative.cc, laplace_band.cc, level_set_sphere.cc, level_set_torus.cc, leveque_dg.cc, phi.h, projection.h, rotating-hill.h, streamf_cavity.cc, streamf_cavity.icc, torus.icc, transport_dg.cc, vector_projection.h, and zalesak_dg.cc.

Definition at line 25 of file phi.h.

Inheritance diagram for phi:

## Public Member Functions

| phi (Float n1=2, Float c1=1, Float r1=0)
Float | operator() (const Float &x) const
Float | derivative (const Float &x) const
Float | operator() (const point &x) const
| phi (size_t d1, Float nu1, Float t1=0)
point | x0t () const
point | d_x0t_dt () const
Float | operator() (const point &x) const
| phi (Float sigma1)

## Static Public Member Functions

static Float | sigma (size_t d, Float nu1, Float t=0)

## Public Attributes

Float | sigma

## Protected Member Functions

Float | f (Float y) const
Float | df_dy (Float y) const

## Protected Attributes

Float | n
Float | c
Float | r
size_t | d
Float | nu
Float | t
Float | u0
point | x0

## Static Protected Attributes

static const size_t | max_iter = 100
static constexpr Float | t0 = 0.2

## Constructor & Destructor Documentation

## phi() [1/3]

phi | ( | Float | n1 = 2,
|  | Float | c1 = 1,
|  | Float | r1 = 0 )

Examples
  phi.h, rotating-hill.h, and torus.icc.

Definition at line 26 of file phi.h.

## phi() [2/3]

phi | ( | size_t | d1,
|  | Float | nu1,
|  | Float | t1 = 0 )

Definition at line 34 of file rotating-hill.h.

## phi() [3/3]

phi | ( | Float | sigma1 | ) |

Definition at line 26 of file transport_dg_error.cc.

## Member Function Documentation

## operator()() [1/3]

Float operator() | ( | const Float & | x | ) | const

Examples
  phi.h, and rotating-hill.h.

Definition at line 27 of file phi.h.

## derivative()

Float derivative | ( | const Float & | x | ) | const

Examples
  nu.h, and phi.h.

Definition at line 47 of file phi.h.

## f()

Float f | ( | Float | y | ) | const

protected

Examples
  phi.h.

Definition at line 52 of file phi.h.

## df_dy()

Float df_dy | ( | Float | y | ) | const

protected

Examples
  phi.h.

Definition at line 53 of file phi.h.

## operator()() [2/3]

Float operator() | ( | const point & | x | ) | const

Definition at line 32 of file rotating-hill.h.

## sigma()

Float sigma | ( | size_t | d,
|  | Float | nu1,
|  | Float | t = 0 )

static

Definition at line 36 of file rotating-hill.h.

## x0t()

point x0t | ( |  | ) | const

Examples
  rotating-hill.h.

Definition at line 38 of file rotating-hill.h.

## d_x0t_dt()

point d_x0t_dt | ( |  | ) | const

Examples
  rotating-hill.h.

Definition at line 42 of file rotating-hill.h.

## operator()() [3/3]

Float operator() | ( | const point & | x | ) | const

Definition at line 25 of file transport_dg_error.cc.

## Member Data Documentation

## n

Float n

protected

Examples
  phi.h.

Definition at line 54 of file phi.h.

## c

Float c

protected

Examples
  phi.h.

Definition at line 54 of file phi.h.

## r

Float r

protected

Examples
  phi.h, and torus.icc.

Definition at line 54 of file phi.h.

## max_iter

const size_t max_iter = 100

static protected

Examples
  phi.h.

Definition at line 55 of file phi.h.

## d

size_t d

protected

Examples
  rotating-hill.h.

Definition at line 46 of file rotating-hill.h.

## nu

Float nu

protected

Examples
  rotating-hill.h.

Definition at line 46 of file rotating-hill.h.

## t

Float t

protected

Examples
  rotating-hill.h.

Definition at line 46 of file rotating-hill.h.

## u0

Float u0

protected

Examples
  rotating-hill.h.

Definition at line 46 of file rotating-hill.h.

## x0

point x0

protected

Examples
  rotating-hill.h.

Definition at line 46 of file rotating-hill.h.

## t0

Float t0 = 0.2

static constexpr protected

Examples
  rotating-hill.h.

Definition at line 47 of file rotating-hill.h.

## sigma

Float sigma

Examples
  convect.cc, convect2.cc, convect_hdg.cc, and rotating-hill.h.

Definition at line 27 of file transport_dg_error.cc.

The documentation for this struct was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/phi.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/rotating-hill.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/transport_dg_error.cc